Bug 144035 - gcc BuildRequires needs to be updated in srpm
gcc BuildRequires needs to be updated in srpm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 17:32 EST by William Cohen
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:20:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
check for appropriate compiler, 3.4 (483 bytes, patch)
2005-01-03 17:35 EST, William Cohen
no flags Details | Diff

  None (edit)
Description William Cohen 2005-01-03 17:32:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
The "-mtune=pentium4" inserted by patch 212 requires a newer version
of gcc, 3.4. Gcc 3.3 and older do not support the -mtune for i386
processors. The "buildrequires" should be updated to make it clear
which compiler is needed to build the source rpm.

Version-Release number of selected component (if applicable):
kernel-2_6_9-1_724

How reproducible:
Always

Steps to Reproduce:
1. install the srpm on a RHEL 3
2. attempt a "rpmbuild --target=i686 kernel-2.6.spec"
    

Actual Results:  Will see the following error during the build

cc1: invalid option `tune=pentium4'
make[2]: *** [scripts/mod/empty.o] Error 1
make[1]: *** [scripts/mod] Error 2
make: *** [scripts] Error

Expected Results:  Binary rpms built without error for i686.

Additional info:
Comment 1 William Cohen 2005-01-03 17:35:22 EST
Created attachment 109295 [details]
check for appropriate compiler, 3.4
Comment 3 Dave Jones 2005-01-03 22:08:05 EST
dropped for the fc3 kernel.  buildreq updated for fc4.  thanks.

Note You need to log in before you can comment on or make changes to this bug.